- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
AL::Math::TransformAndVelocity6D Struct Reference

Struct composed of a Transform and a Velocity6D More...

`#include <altransformandvelocity6d.h>`

## Public Member Functions
| TransformAndVelocity6D ()
| TransformAndVelocity6D (const AL::Math::Transform &pT, const AL::Math::Velocity6D &pV)
| Build a transform and velocity object. More...
bool | isNear (const TransformAndVelocity6D &pTV2, const float &pEpsilon=0.0001f) const
| Check if the actual TransformAndVelocity6D is Near the one given in argument. More...

## Public Attributes
AL::Math::Transform | T
AL::Math::Velocity6D | V

## Detailed Description

Struct composed of a Transform and a Velocity6D

Definition at line 22 of file altransformandvelocity6d.h.

## Constructor & Destructor Documentation

AL::Math::TransformAndVelocity6D::TransformAndVelocity6D | ( |  | ) |

AL::Math::TransformAndVelocity6D::TransformAndVelocity6D | ( | const AL::Math::Transform & | pT,
|  | const AL::Math::Velocity6D & | pV
| ) |  |

Build a transform and velocity object.

Parameters

  [in] | pT | the given Transform.
  [in] | pV | the given Velocity6D.

## Member Function Documentation

bool AL::Math::TransformAndVelocity6D::isNear | ( | const TransformAndVelocity6D & | pTV2,
|  | const float & | pEpsilon = `0.0001f`
| ) |  | const

Check if the actual TransformAndVelocity6D is Near the one given in argument.

Parameters

  pTV2 | the second TransformAndVelocity6D
  pEpsilon | an optionnal epsilon distance - default: 0.0001

Returns
  true if the distance between the two TransformAndVelocity6D is less than pEpsilon

## Member Data Documentation

AL::Math::Transform AL::Math::TransformAndVelocity6D::T

Definition at line 25 of file altransformandvelocity6d.h.

AL::Math::Velocity6D AL::Math::TransformAndVelocity6D::V

Definition at line 27 of file altransformandvelocity6d.h.

The documentation for this struct was generated from the following file:

- /home/opennao/work/release-2.8/lib/libalmath/almath/types/altransformandvelocity6d.h